gspread.exceptions.SpreadsheetNotFound

Hi,

I was heading with this course and have run into error.

Traceback (most recent call last):
File “C:\Users\terterya\AppData\Local\Programs\Python\Python37\lib\site-packages\gspread\client.py”, line 121, in open
self.list_spreadsheet_files(title),
File “C:\Users\terterya\AppData\Local\Programs\Python\Python37\lib\site-packages\gspread\utils.py”, line 97, in finditem
return next((item for item in seq if func(item)))

During handling of the above exception, another exception occurred:
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “.\myScript.py”, line 14, in
sheet = client.open(‘https://docs.google.com/spreadsheets/d/1Eo8QGzdwaiF7m59Tro1oN8ewfktDBI0KLfF3UL87lTk/edit?usp=sharing’)
File “C:\Users\terterya\AppData\Local\Programs\Python\Python37\lib\site-packages\gspread\client.py”, line 129, in open
raise SpreadsheetNotFound
gspread.exceptions.SpreadsheetNotFound

I have copied spread sheet to my google drive and shared it with my google service account.
What is the problem?

© Copyright 2013-2020 Analytics Vidhya